Appearance
PATCH
/web-pages/draft/drafts/{draftId}/layouts/{layoutId}Required scope:
viskan:draft:updateUpdates a layout by ID.
Parameters
Path parameters
draftId string Format:
uuidIdentifier of the draft. A draft is a workspace that holds unpublished changes to web store content.
layoutId string Format:
uuidIdentifier of the layout. A layout defines the structure of a page by specifying which sections are included.
Request body
JSON
{
"layoutName": "Start Page layout",
"layoutDescription": "Layout created for start pages",
"layoutType": "START_PAGE",
"action": "REMOVE",
"sections": [
{
"sectionId": "fb831d92-c7b3-42fe-ac92-a2c2014d72f6",
"layoutSectionId": "fb831d92-c7b3-42fe-ac92-a2c2014d72f6"
}
]
}
Response
The layout was updated successfully.
| Error code | Description |
|---|---|
web-pages.update-layout.draft-not-found | Draft not found. |
web-pages.update-layout.duplicate-layout-section-ids | Duplicate layout section IDs found. |
web-pages.update-layout.layout-for-removal-not-found | Layout for removal not found. |
web-pages.update-layout.layout-in-use | Layout that is used within a page cannot be removed. |
web-pages.update-layout.layout-name-blank | Layout name cannot be blank. |
web-pages.update-layout.layout-not-found | Layout not found. |
web-pages.update-layout.layout-section-is-for-another-section | Layout section belongs to a different section. |
web-pages.update-layout.section-id-required | Section ID is required. |
web-pages.update-layout.section-not-found | Section not found. |